# GenoRing Distribution

GenoRing is both a platform and a framework designed to handle biological data
through an easy-to-deploy web portal that integrates "à la carte" bioinformatics
tools. By promoting open science principles, GenoRing aims to empower
laboratories and research teams -particularly those with limited resources- to
effortlessly establish and maintain bioinformatics tools for curating and
sharing their data.

The GenoRing distribution is a Drupal distribution for genomic data portals,
genebank sites and even breeding sites. It provides a set of pre-configured
modules with the GenoRing theme. It is currently under design and should be
installed using the
[GenoRing platform](https://github.com/SouthGreenPlatform/genoring).

## Table of contents

- Installation
- Authors and acknowledgment

## Installation

This distribution is not intended to be installed manually. It should be
automaticall installed by the GenoRing platform itself.

To install it, use GenoRing platform available on
[GenoRing.Net](https://www.genoring.net) or
[GitHub](https://github.com/SouthGreenPlatform/genoring) and follow the
documentation.

However, if you want to try it separately from the platform, you could try:
Run:
```
  composer -s dev --no-install create-project guignonv/genoring_distrib genoring 1.0.x-dev
```
"-s dev" is currently required as there are no release yet.
"1.0.x-dev" is required as patches were not placed were they are expected and it
is currently only fixed in dev.

## Authors and acknowledgment

* Valentin GUIGNON, The Alliance Bioveristy - CIAT (CGIAR), v.guignon@cgiar.org

### Contributing

SouthGreen Platform
  * CIRAD
  * IRD
  * INRAE
  * The Alliance Bioversity - CIAT
